aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/utils/wwan/files/wwan.usbmisc
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/utils/wwan/files/wwan.usbmisc')
-rw-r--r--package/network/utils/wwan/files/wwan.usbmisc27
1 files changed, 27 insertions, 0 deletions
diff --git a/package/network/utils/wwan/files/wwan.usbmisc b/package/network/utils/wwan/files/wwan.usbmisc
new file mode 100644
index 0000000..4079a7f
--- /dev/null
+++ b/package/network/utils/wwan/files/wwan.usbmisc
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+[ "$ACTION" = add ] || [ "$ACTION" = remove ] || exit 0
+[ "${DEVNAME/[0-9]/}" = cdc-wdm ] || exit 0
+
+. /lib/functions.sh
+. /lib/netifd/netifd-proto.sh
+
+find_wwan_iface() {
+ local cfg="$1"
+
+ local proto device
+ config_get proto "$cfg" proto
+ config_get device "$cfg" device
+
+ [ "$proto" = wwan ] || [ "$proto" = mbim ] || [ "$proto" = qmi ] || [ "$proto" = ncm ] || return 0
+ [ -z "$device" -a "$proto" = wwan ] || [ "$device" = "/dev/$DEVNAME" ] || return 0
+ if [ "$ACTION" = add ]; then
+ proto_set_available "$cfg" 1
+ else
+ proto_set_available "$cfg" 0
+ fi
+ exit 0
+}
+
+config_load network
+config_foreach find_wwan_iface interface